Bug 113797 - Label field's property name mismatch in dialog editor and macro code
Summary: Label field's property name mismatch in dialog editor and macro code
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-UI
  Show dependency treegraph
 
Reported: 2017-11-12 23:58 UTC by Mátyás Jani
Modified: 2021-09-23 03:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
example ods file with macro trying to set label.Label (10.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-15 20:13 UTC, Mátyás Jani
Details
property list of the Label (75.00 KB, image/png)
2017-11-15 20:19 UTC, Mátyás Jani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mátyás Jani 2017-11-12 23:58:51 UTC
Description:
I have a dialog with a Label field element.
The dialog editor lists a property named "Label" under the General tab for this element.
If I set the "Label" property in the dialog editor, it works as expected (sets the text of the label on the form).
If I try to set the "Label" property with a macro, it fails with an error.

The macro works as expected using the "Text" property instead of "Label" property (see Additional Information), so it is likely just a naming/UI issue.



Steps to Reproduce:
1. Create a dialog with a "Label field" named "MyLabel"
2. Create a macro accessing its "Label" property

	DialogLibraries.LoadLibrary("Standard")
	dialog = CreateUnoDialog(DialogLibraries.Standard.MyDialog)
	myLabel = dialog.GetControl("MyLabel")
	myLabel.Label = "some text"
	dialog.Execute

3. Run the macro

Actual Results:  
Error message:
	BASIC runtime error.
	Property or method not found: Label.

Expected Results:
The dialog pops up with the label "some text"


Reproducible: Always


User Profile Reset: No



Additional Info:
The following macro code works:
	myLabel.Text = "some text"

Help - About LibreOffice:
Version: 5.4.3.2
Build ID: 5.4.3-1
CPU threads: 6; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: hu-HU (hu_HU.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Buovjaga 2017-11-15 15:05:12 UTC
Please attach a file with all of this so we can quickly test.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 Mátyás Jani 2017-11-15 20:13:07 UTC
Created attachment 137790 [details]
example ods file with macro trying to set label.Label
Comment 3 Mátyás Jani 2017-11-15 20:19:00 UTC
Created attachment 137791 [details]
property list of the Label

In this property list, the property name for the caption of the label is "Label" (red ellipse). It is not possibleto access this "Label" property from a basic macro:

labelName.Label -> "BASIC runtime error. Property or method not found: Label."
labelName.Text -> works, sets the caption of the label

You can test it in MacroTest.ods.
Comment 4 Buovjaga 2017-11-16 14:21:50 UTC
Confirmed.

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 121303615054568c204def97872343d2014af4a0
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 16th 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 5 QA Administrators 2018-11-17 03:46:32 UTC Comment hidden (obsolete)
Comment 6 Mátyás Jani 2018-11-17 09:26:31 UTC
The bug is still present.

Version: 6.1.3.2
Build ID: 6.1.3-1
CPU threads: 6; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: hu-HU (hu_HU.UTF-8); Calc: group threaded
Comment 7 QA Administrators 2021-09-23 03:32:33 UTC
Dear Mátyás Jani,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug